# SNESRegisterDestroy

Frees the list of nonlinear solvers that were registered by SNESRegisterDynamic().

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode PETSCSNES_DLLEXPORT SNESRegisterDestroy(void)

Not Collective

### Keywords

SNES, nonlinear, register, destroy

### See Also

SNESRegisterAll(), SNESRegisterAll()

Level:advanced
Location: src/snes/interface/snes.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages